> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/wishlists/&#123;id&#125;/items`

> `POST /api/v1/wishlists/&#123;id&#125;/items`

### Path parameters

<ParamField path="id" type="string" required>
  Wishlist ID (UUID)
</ParamField>

### Request body

`AddWishlistItemRequest`

<ParamField body="note" type="string,null">
  Optional note about the item.
</ParamField>

<ParamField body="product_id" type="string (uuid)" required>
  Product to add to the wishlist.
</ParamField>

### Responses

<ResponseField name="200" type="WishlistResponse">
  Item added to wishlist
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Wishlist not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/wishlists/{id}/items' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "note": null,
    "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "is_public": true,
    "items": [
      {
        "added_at": "2026-07-24T12:00:00Z",
        "note": null,
        "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ],
    "name": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
